Subject: immediate operations

From: Philip Blundell <[email-masked]>
Date: Wed, 16 Apr 1997 19:54:19 +0100 (BST)

There seems to be a bit of a problem with immediate constants in assembler
files that have to go through CPP.  As far as I can tell, gas only accepts
'#' as the leadin for an immediate constant, and cpp doesn't like that
much - it complains about an invalid #directive.  

Am I overlooking something obvious?  I was rather hoping to be able to use
'$' to introduce an immediate constant, which seems to work in a
particular set of circumstances but not often.

p.